Subject: Re: bug#69822: [PATCH] format-spec pads when it should only truncate

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Mar 2024 12:22:26 +0200

> Date: Fri, 15 Mar 2024 21:28:15 -0500
> From: Adam Porter <[email-masked]>
> 
> Please see the attached patch which fixes a bug in `format-spec': that a 
> format spec like "%>15t", which is intended to limit the width of a 
> string to 15 characters, would also pad a string less than that length 
> to be that length.

I don't understand why you consider it a bug.  According to the doc
string (see below), this:

  (format-spec "%>15t" '((?t . "0123456789")))

should behave the same as this:

  (format "%15s" "0123456789")

And in my testing, it does: both produce "     0123456789".

So I don't think I agree that there's a bug here to begin with.  The
doc string of format-spec says:

  The width and truncation modifiers behave like the corresponding
  ones in ‘format’ when applied to %s.